## python-kde4 4.0.3-0ubuntu1.2

=== debian/changelog ===
python-kde4 (4:4.0.3-0ubuntu1.2) hardy; urgency=low

  * Copy extra/kde402 to extra/kde403

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 07 Apr 2008 21:31:09 +0100

python-kde4 (4:4.0.3-0ubuntu1.1) hardy; urgency=low

  * Upload as native 4.0.3 to overwrite incorrect kdebindings upload

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 04 Apr 2008 17:41:57 +0100

python-kde4 (4:4.0.2-1-1ubuntu3) hardy; urgency=low

  * Fix install paths for Kubuntu

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 13 Mar 2008 11:21:03 +0000

python-kde4 (4:4.0.2-1-1ubuntu2) hardy; urgency=low

  * Add build-dep on python-sip4

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 12 Mar 2008 22:16:32 +0000

python-kde4 (4:4.0.2-1-1ubuntu1) hardy; urgency=low

  * Sync from Debian, upstream release separate from KDE

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 12 Mar 2008 20:04:55 +0000

python-kde4 (4.0.2-1-1) unstable; urgency=low

  * Initial upload.
  * Add lintian override about python-kde4-doc shipping a python script but
    not depending on python: this script is a browser for the shipped html
    files, but since these can be viewed with any browser, python is only a
    Recommends.

 -- Adeodato Simó <dato@net.com.org.es>  Wed, 12 Mar 2008 18:52:12 +0100
