=== debian/control ===
Source: python-kde4
Section: python
Priority: optional
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: Adeodato Simó <dato@net.com.org.es>
Uploaders: Torsten Marek <shlomme@debian.org>
Build-Depends: debhelper (>= 5), quilt, kdelibs5-dev (>> 4:4.0),
 python, python-central, python-all-dev, python-all-dbg,
 sip4, python-sip4-dev, python-qt4-dev, python-sip4
XS-Python-Version: >= 2.4
Standards-Version: 3.7.3
Homepage: http://www.riverbankcomputing.co.uk/pykde
Vcs-Git: git://git.debian.org/git/collab-maint/python-kde4.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/python-kde4.git

Package: python-kde4
Architecture: any
XB-Python-Version: ${python:Versions}
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}, python-qt4
Description: Python bindings for the KDE 4 libraries
 This package contains PyKDE4, the Python bindings for the KDE 4
 libraries, that allow you to write KDE programs using Python instead of
 C++. It contains the following modules under the PyKDE4 namespace:
 .
  * kdecore
  * kdeui
  * khtml
  * kio
  * kparts
  * ktexteditor
  * kutils
  * solid
 .
 This package provides modules for all supported Python versions.

Package: python-kde4-dev
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends}, python-qt4
Recommends: python-kde4
Description: UIC compiler and SIP files for PyKDE4
 This package contains pykdeuic4, a wrapper around PyQt's own UIC (user
 interface compiler). It is needed to generate code from Qt Designer's
 UI files. You want to install this package if you are writing a PyKDE
 application which has .uic files, or running one of these applications
 from source.
 .
 It also contains the .sip files for PyKDE4, needed to build packages
 with classes based on PyKDE, and an API file for the Eric IDE.

Package: python-kde4-doc
Section: doc
Architecture: all
Recommends: python, python-kde4
Description: documentation and examples for PyKDE4
 This package contains documentation for PyKDE4, including examples and a
 tutorial. It also includes the pykdedocs binary, a program to browse the
 included docs.

Package: python-kde4-dbg
Priority: extra
Architecture: any
XB-Python-Version: ${python:Versions}
Depends: python-kde4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, python-dbg, python-qt4-dbg
Description: debug version of the Python bindings for KDE 4
 This package contains a version of python-kde4 compiled against the debug
 version of the Python interpreter.
